export const rbac = [
  {
    path: "/rbac",
    lazy: async () => ({
      Component: (await import("@/pages/rbac")).default,
    }),
    children: [
      {
        path: "/rbac/menu",
        index: true,
        lazy: async () => ({
          Component: (await import("@/pages/rbac/menu")).default,
        }),
      },
      {
        path: "/rbac/role",
        index: true,
        lazy: async () => ({
          Component: (await import("@/pages/rbac/role")).default,
        }),
      },
      {
        path: "/rbac/org",
        index: true,
        lazy: async () => ({
          Component: (await import("@/pages/rbac/org")).default,
        }),
      },
      {
        path: "/rbac/dep",
        index: true,
        lazy: async () => ({
          Component: (await import("@/pages/rbac/dep")).default,
        }),
      },
      {
        path: "/rbac/staff",
        index: true,
        lazy: async () => ({
          Component: (await import("@/pages/rbac/staff")).default,
        }),
      },
    ],
  },
];
