import { makeObservable } from "mobx";
import BaseStore from "./baseStore";
import { UserDataType } from "@/model/userModel";
import { CityConfig } from "@/service/config";

class CityStore extends BaseStore<UserDataType> {
    constructor() {
        super(CityConfig)
        makeObservable(this, {})
    }
}
const cityStore = new CityStore();
export default cityStore;